Food Trucks
Food trucks expose mobile storefront availability backed by FleetOps vehicles, zones, and service areas. Use food truck endpoints to discover mobile vendors and their current operating state.
The Food Truck object
A food truck connects a storefront to a FleetOps vehicle, service area, zone, and catalogs for mobile ordering.
Attributes
idstringoptionalPublic identifier of the food truck.
vehicleobjectoptionalFleetOps vehicle assigned to the food truck.
service_areaobjectoptionalService area assigned to the food truck.
zoneobjectoptionalZone assigned to the food truck.
catalogsarray of objectsoptionalCatalogs available for the food truck.
locationobjectoptionalCurrent vehicle location.
onlinebooleanoptionalWhether the assigned vehicle is online.
statusstringoptionalFood truck status.
created_attimestampoptionalTime the food truck was created.
updated_attimestampoptionalTime the food truck was last updated.
The Food Truck object
{
"id": "food_truck_8Fq2mL1",
"vehicle": null,
"service_area": null,
"zone": null,
"catalogs": [],
"location": null,
"online": false,
"status": "active",
"created_at": "2026-05-07T09:30:00Z",
"updated_at": "2026-05-07T09:30:00Z"
}GET
/v1/food-trucksQuery Food Trucks
Query Food Trucks
Query parameters
limitstringoptionalLimit value for this food trucks request.
offsetstringoptionalOffset value for this food trucks request.
sortstringoptionalSort value for this food trucks request.
GET
/v1/food-truckscurl https://api.fleetbase.io/v1/food-trucks?limit=&offset=&sort= \
-H "Authorization: Bearer flb_live_…"GET
/v1/food-trucksRetrieve Food Truck
Retrieve Food Truck
GET
/v1/food-truckscurl https://api.fleetbase.io/v1/food-trucks \
-H "Authorization: Bearer flb_live_…"